Subject: Bug#3761: LILO installation problem

From: MIZUHARA Bun <[email-masked]>
Date: Sat, 13 Jul 1996 02:18:10 +0900

Package: base
Version: 1.1

It seems that LILO installation process follows these steps:
(1) find root_device, on which root filesystem resides.
(2) make that partition boot_device.
(3) make that partition active.

This works fine if your root_device is a primary partition
(i.e. the partition number is not greater than 4).
But if your root filesystem resides on a logical partition
(i.e. the partition number is greater than 4), (2) and (3)
fail, and you cannot boot Linux from hard drive.

In that case, the extended partition which contains the root
partition should be boot_device, and should be made active.

For example, my system has this partition table:

Disk /dev/sda: 64 heads, 32 sectors, 496 cylinders
Units = cylinders of 2048 * 512 bytes

   Device Boot   Begin    Start      End   Blocks   Id  System
/dev/sda1            1        1       48    49136    6  DOS 16-bit >=32M
/dev/sda2   *       49       49      496   458752    5  Extended
/dev/sda5           49       49      448   409584   83  Linux native
/dev/sda6          449      449      496    49136   82  Linux swap

Just after LILO was installed, /etc/lilo.conf had these lines:
	boot=/dev/sda5
	root=/dev/sda5
and the installation process tried to make /dev/sda5 as a active
partition but failed, because /dev/sda5 is an extended partition.
As a result, I could not boot Linux without using boot floppy.

I rewrote /etc/lilo.conf like this:
	boot=/dev/sda2
	root=/dev/sda5
and made /dev/sda2 active using /sbin/activate.
Now I can boot Linux from hard drive!

For more information, refer to /usr/doc/lilo/READ_ME_FIRST.gz.

I am using Debian 1.1, kernel version 2.0.0, and libc 5.2.18.

Hardware configuration:

CPU:	i486 DX2 66MHz
M/B:	Taiwan made VL (SiS 85C471/85C407chipset)
Memory:	32MB
Video:	S3 864 DRAM 1MB
SCSI:	Buslogic BT-445S
HDD:	SCSI 500MB (Fujitsu M2624SA)
Tape:	SCSI QIC525 (Wangtek 5525ES)
CD-ROM:	SCSI 4x (Pioneer DR-104X)

----
MIZUHARA Bun